diff --git a/Build.sh b/Build.sh
index f22d97b..7777278 100644
--- a/Build.sh
+++ b/Build.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-srcversion='$MirOS: src/bin/mksh/Build.sh,v 1.402 2009/06/10 21:25:39 tg Exp $'
+srcversion='$MirOS: src/bin/mksh/Build.sh,v 1.403 2009/07/07 18:34:21 tg Exp $'
 #-
 # Copyright (c) 2003, 2004, 2005, 2006, 2007, 2008, 2009
 #	Thorsten Glaser <tg@mirbsd.org>
@@ -152,6 +152,7 @@ ac_testn() {
 	    sed 's^\] scn.c:\([0-9]*\):\] mirtoconf(\1):'
 	test $tcfn = no && test -f a.out && tcfn=a.out
 	test $tcfn = no && test -f a.exe && tcfn=a.exe
+	test $tcfn = no && test -f linux386.exe && tcfn=linux386.exe
 	test $tcfn = no && test -f scn && tcfn=scn
 	if test -f $tcfn; then
 		test 1 = $fr || fv=1
@@ -236,7 +237,8 @@ if test -d mksh || test -d mksh.exe; then
 	echo "$me: Error: ./mksh is a directory!" >&2
 	exit 1
 fi
-rm -f a.exe* a.out* *core crypt.exp lft mksh mksh.cat1 mksh.exe mksh.s \
+rm -f a.exe* a.out* *core crypt.exp lft linux386.exe* \
+    mksh mksh.cat1 mksh.exe mksh.s \
     no *.o scn.c signames.inc stdint.h test.sh x
 
 curdir=`pwd` srcdir=`dirname "$0"` check_categories=
@@ -658,7 +660,7 @@ xlc)
 esac
 test x"$llvm" = x"NO" || test x"$llvm" = x"COMBINE" || vv '|' "llc -version"
 $e "$bi==> which compiler seems to be used...$ao $ui$ct$ao"
-rm -f scn.c scn.o scn a.out* a.exe*
+rm -f scn.c scn.o scn a.out* a.exe* linux386.exe*
 
 case $TARGET_OS in
 HP-UX)
